<?php
class gea_CallcenterController extends SugarController{
    public $_request;
    function gea_CallcenterController(){
        parent::SugarController();
    }
    function action_listview(){
        require_once('custom/modules/gea_Callcenter/gea_Callcenter2.php');
        $this->bean = new gea_Callcenter2();
        $this->view = 'list'; //these lines will "return" you to the desired view
        return true;                          
    }
    function action_get_opciones_agenda_llamada(){
        if($this->_request==''){
            return;
        }
        require_once('custom/modules/gea_Callcenter/gea_Callcenter2.php');
        $this->bean = new gea_Callcenter2();
        $this->bean->_request = $this->_request;
        $this->bean->get_opciones_agenda_llamada('','');
    }
    /***/
    function action_get_update_opciones_respuesta(){
        if($this->_request==''){
            return;
        }
        require_once('custom/modules/gea_Callcenter/gea_Callcenter2.php');
        $this->bean = new gea_Callcenter2();
        $this->bean->_request = $this->_request;
        $this->bean->get_update_opciones_respuesta('','');
    }
}
if(isset($_REQUEST['action'])){
    $obj_controller = new gea_CallcenterController();
    $obj_controller->_request = $_REQUEST;
    switch($_REQUEST['action']){
        case "get_opciones_agenda_llamada":
            $obj_controller->action_get_opciones_agenda_llamada();
            break;
        case "get_update_opciones_respuesta":
            $obj_controller->action_get_update_opciones_respuesta();
            break;
    }
}
?>
